Update a protection resource group
Updates a group owned by your firm. A restricted key may update only an allowed group.
PUT/v1/protection-resources/groups/{id}PUTUpdate a protection resource groupcurl -X PUT "https://api.darkradar.com/api/public/v1/protection-resources/groups/64b1f0c2a9e4d21f8c3b9a10" \
-H "x-api-key: $DARKRADAR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"description":"Güncel kapsam","isActive":true}'Response
{
"success": true,
"message": "OK",
"data": {
"group": {
"_id": "64b1f0c2a9e4d21f8c3b9a10",
"name": "Üretim varlıkları",
"isActive": true
}
}
}Path parameters
| Fields | Values |
|---|---|
id · string · required | Record id (24 hex chars) · Example: 64b1f0c2a9e4d21f8c3b9a10 |
Request body
| Fields | Values |
|---|---|
name · string · optional | New group name |
description · string · optional | New description |
isActive · boolean · optional | Whether the group is active |
Responses
200Success400Invalid request (malformed id, missing or invalid field)401Key missing, invalid, expired or revoked403Insufficient scope, no API access in plan, or product not enabled404Record not found or not owned by this key’s firm408The request exceeded its maximum response time429Rate limit exceeded; retry after a minuteResponse limits
Rate limit500 requests per 15 min · per IP